Hi,

I installed MATLAB as per the FreeBSD Handbook. I am able to run MATLAB except
that I get  the following error messages:

--- When starting license manager: 
$/usr/local/etc/rc.d/flexlm.sh start

usage: expr [-e] expression
/usr/local/etc/lmboot_TMW: [: -ne: unary operator expected
etc.......
usage: expr [-e] expression
/usr/local/etc/lmboot_TMW: [: -ne: unary operator expected
MATLAB_lmgrd

---- When starting MATLAB:  
$matlab -nojvm
expr: illegal option -- r
usage: expr [-e] expression
/compat/linux/usr/local/matlab/bin/matlab: [: -ne: unary operator expected

After this, I am able to run MATLAB.

However, I have MAPLE installed and due to this error (I think), I am unable 
to call MATLAB from it.

Any help would be greatly appreciated!

Thanks,

BB

PS: Two minor comments on Sec. 22.5:

* The license manager cannot be started as root. Perhaps it would 
be helpful if the prompt in 22.5.2, item 3 were changed to %.

* I am able to run MATLAB with jvm. For that I linked the jre to jre1.1.8, 
instead of jre1.3.1. I have problems shutting it down though; need to use kill
-9. But it is possible to run the full MATLAB under NetBSD using Sun's latest
JDK (version 1.4.2).(http://www.netbsd.org/gallery/in-Action/).  I could not
make it to work in
FreeBSD.

---------------------------------------------
This message was sent using Endymion MailMan.
http://www.endymion.com/products/mailman/


_______________________________________________
[EMAIL PROTECTED] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to